List enrichment actions
curl --request GET \
--url https://api.getoneprofile.ai/table-enrichments/actions/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getoneprofile.ai/table-enrichments/actions/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getoneprofile.ai/table-enrichments/actions/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"actions": [
{
"category": "ai",
"description": "<string>",
"display_name": "<string>",
"icon": "<string>",
"input_contract": "<string>",
"key": "<string>",
"output_contract": "<string>",
"pricing_key": "<string>",
"provider_key": "<string>",
"tagline": "<string>",
"column_name": "<string>",
"credits_per_row": 123,
"family": "email",
"inputs": [
{
"description": "<string>",
"display_name": "<string>",
"field_type": "text",
"name": "<string>",
"always_present": true,
"auto_promote": true,
"choices": [
"<string>"
],
"creates_column": true,
"required": false
}
],
"outputs": [
{
"description": "<string>",
"display_name": "<string>",
"field_type": "text",
"name": "<string>",
"always_present": true,
"auto_promote": true,
"choices": [
"<string>"
],
"creates_column": true,
"required": false
}
],
"provider_operation": {
"inputs": [
{
"description": "<string>",
"display_name": "<string>",
"name": "<string>",
"required": true,
"value_kind": "<string>",
"example": "<string>"
}
],
"integration_type": "<string>",
"operation_key": "<string>",
"outputs": [
{
"description": "<string>",
"display_name": "<string>",
"name": "<string>",
"required": true,
"value_kind": "<string>",
"example": "<string>"
}
],
"required_input_combinations": [
[
"<string>"
]
]
},
"refund_rules": [
"success_no_data"
],
"settings_fields": [
{
"description": "<string>",
"display_name": "<string>",
"kind": "<string>",
"name": "<string>",
"default": "<string>",
"options": [
"<string>"
],
"required": false,
"secret": false
}
]
}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>",
"issues": [
{
"input": "<string>",
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}table-enrichments
List enrichment actions
The server-owned catalog of enrichment actions the picker renders. Sorted by category then display name; development-only actions are absent in production.
GET
/
table-enrichments
/
actions
/
List enrichment actions
Authorizations
HTTPBearerAPIKeyHeader
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Successful Response
The enrichment actions available in this environment, in display order.
Show child attributes
Show child attributes
Was this page helpful?